Author Topic: script.vmallinone.php on line 332  (Read 1925 times)

johnlanglois

  • Jr. Member
  • **
  • Posts: 50
script.vmallinone.php on line 332
« on: March 13, 2013, 16:47:30 pm »
We are using VM 2.0.18a on Joomla 2.5.9.
Everything was working well until today.
Now when we attempt to run All-in-One from component menu, the system hangs.
Error file reports "Failed opening required '/XXXXXX/public_html/plugins/vmcalculation/avalara/avalara.php' (include_path='.:/usr/php/53/usr/lib64:/usr/php/53/usr/share/pear') in /XXXXXX/public_html/administrator/components/com_virtuemart_allinone/script.vmallinone.php on line 332

PayPal is the only payment system we use.  I have checked the vmcalculation folder and there is no avalara folder or files, but there were none on the development server either.
Should I just edit the vmallione.php file or is there something in an xml file that needs to be removed?

Thank you.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28324
  • Always on vacation
    • Jenkin Hill Internet
Re: script.vmallinone.php on line 332
« Reply #1 on: March 13, 2013, 23:41:32 pm »
Why are you running aio? The only time you would do this is if you are using the aio live update facility. If you don't use that, the aio component can be safely removed using Joomla's extensions manager.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart  4.0.2 10661 on Joomla 3.10.9 PHP 7.4.29

johnlanglois

  • Jr. Member
  • **
  • Posts: 50
Re: script.vmallinone.php on line 332
« Reply #2 on: March 14, 2013, 04:30:31 am »
Won't I need AIO the next time there's an update?
Why would they build it if there is only a temporary need for it?

Thank you.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28324
  • Always on vacation
    • Jenkin Hill Internet
Re: script.vmallinone.php on line 332
« Reply #3 on: March 14, 2013, 11:08:16 am »
It is most times safer to update using Joomla's own extensions installer. The autoupdater tends to fail on some shared servers.

It does sound as if you have a corruption during installation. You should indeed have the Avalara Tax plugin - check in Joomlas plugin manager, it is the only one of type "vmcalculation"
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart  4.0.2 10661 on Joomla 3.10.9 PHP 7.4.29